#
#                   Set the Working Drive
#_______________________________________________________________________________
setwd("C:/Documents and Settings/chroy203/Bureau")
#
#                   Import packages
#_______________________________________________________________________________
library(bootRes)
#
#                   Import the Rd file
#_______________________________________________________________________________
load("data_fdr_NM.rd")
#
#               Step 1 create vector containing input variables
#_______________________________________________________________________________
begin<-c(-4, 4)
method.choice<-c("response", "correlation")
#
#             Step 2 create  a simple function to test my idea
#_______________________________________________________________________________
dendro.cr<-function(chrono, temp, metho, begin){
#chrono should be a dataframe containing a chronosequence
#temp is a dataframe holding the temp data
#metho is the value of of method that we want
#begin the starting values we want
    foo<-dendroclim(chrono, tmax, method = metho, start = begin, end =9, timespan = NULL, vnames = NULL, sb = TRUE)
    foo<-subset(foo, foo$significant==1)
    foo
}
#
#                 Step 3   test it to and compare to a reference
#_______________________________________________________________________________  
dendroclim(chpbdtr, tmax, method = "response", start = -4, end = 9, timespan = NULL, vnames = NULL, sb = TRUE)
#method.choice[1] = "response"; begin[1] = -4 so:
dendro.cr(chpbdtr,tmax,method.choice[1], begin[1])
#
#                    Step 4 create a new set of imput dataset
#_______________________________________________________________________________
Chrono<-list(chpbdtr,dtrchrmd,dtrchsec)  #Combine all chrono in a list
temp<-list(tmin, tmax,pr)                #Combine all temp in a list
#method.choice<-c("response", "correlation")    #Done before
#begin<-c(-4, 4)                                #Done before
#
#                     Step 5 Create a looping function
#_______________________________________________________________________________
dendro.loop<-function(list.chrono, list.temp, metho, begin){
#list.chrono is a list containing all the chronosequence dataframe
#list.temp is a list containing all the temperature dataframe
#metho is a vector holding the different values of method
#begin is a vector containing the possible starting values
                for (i in 1:length(list.chrono)){
                     for (j in 1:length(list.temp)){
                          for (k in 1: length(metho)){
                            for (l in 1: length(begin)){
                                if(i==1 & j==1 & k==1 & l==1){
                                out<-dendroclim(list.chrono[[i]], list.temp[[j]], metho[k], begin[l])
                                out$loop<-paste(i,j,k,l,sep=".")
                                }
                                else{
                                bar<-dendroclim(list.chrono[[i]], list.temp[[j]], metho[k], begin[l])
                                bar$loop<-paste(i,j,k,l,sep=".")
                                out<-rbind(out,bar)
                                }
                            }
                          }    
                     }
                }
              out<-subset(out, out$significant==1)
              out
              }
#
#                     Step 6 Save the ouput in a file
#_______________________________________________________________________________
all.dendro <- dendro.loop(Chrono, temp, method.choice, begin)

